GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

API Reference overview
REST
    Orders
    Market Data
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
    Derivatives
    Prediction markets
    Common
      OAuth
      Admin
        SubaccountsCreate New AccountGet Account DetailList Accounts in GroupRename AccountRoles Endpoint
WebSocket
    Core protocol
      IntroductionCoreAuthenticationCoreMessage formatCore
      Shared streams
        Book tickerL2 partial depthL2 differential depthTrade streamOrder eventsBalance updates
      Shared methods
    Prediction-market extensions
      Streams
        Position updatesPredictionContract statusPrediction
      Combo RFQ
        OverviewPredictionWebSocket streamsPredictionQuote methodsPredictionMaker integrationPredictionExamplesPrediction
FIX
Authentication and account context
Prediction markets schemas

Rename Account

REST APIsCommonAdminRename Account

Rename Account

POSThttps://api.gemini.com/v1/account/rename

A Master or Account level API key can rename an account within the group.

POSTv1/account/rename
curl --request POST \
  --url https://api.gemini.com/v1/account/rename \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/account/rename",
  "nonce": "<nonce>",
  "account": "my-exchange-account",
  "newName": "My Exchange Account New Name",
  "newAccount": "my-exchange-account-new-name"
}
'

Roles

The API key you use to access this endpoint can be either a Master or Account level API key and must have the Administrator role assigned. See Roles for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/account/rename".
nonceTimestampType | integer·required
timestampExample: 1495127793000
accountstring
Only required when using a master api-key. The shortname of the account within the subaccount group. Master API keys can get all account shortnames from the `account` field returned by the [Get Accounts endpoint](/rest/account-administration#list-accounts-in-group).
newNamestring
A unique name for the new account. If not provided, name will not change.
newAccountstring
A unique shortname for the new account. If not provided, shortname will not change.
Example request body
{
  "request": "/v1/account/rename",
  "nonce": "<nonce>",
  "account": "my-exchange-account",
  "newName": "My Exchange Account New Name",
  "newAccount": "my-exchange-account-new-name"
}

Responses

An element containing the updated name of the account.

namestring
New name for the account based off the provided `newName` field. Only returned if `newName` was provided in the request.
accountstring
New shortname for the account based off the provided `newAccount` field. Only returned if `newAccount` was provided in the request.
Example Responses
{
  "name": "My Exchange Account New Name",
  "account": "my-exchange-account-new-name"
}
PreviousList Accounts in GroupNextRoles Endpoint